@import (reference) '../../../../../less/platoreso.less';

@keyframes marching_ants {
  from { stroke-dashoffset: 0% }
  to { stroke-dashoffset: 100% }
}

#graph .circleGraph {

  #linked-references {
    path {
      stroke: @midWhite;
      stroke-opacity: .6;
    }
  }

  #linked-complements {
    path {
      stroke: @midWhite;
      stroke-opacity: .6;
    }
  }

  #linked-derives {
    path {
      stroke: @midWhite;
      stroke-opacity: .6;
    }
  }

  #linked-parent {
    path {
      stroke: @midWhite;
      stroke-opacity: .6;
      stroke-dasharray: 2,2;
    }
  }

  .link {
    stroke: @midWhite;
    stroke-opacity: 0.25;
    stroke-width: 1px;
    transition: opacity 250ms ease-out, stroke-opacity 0.25s ease-out;
    fill: none;

    &.parent {
      stroke-dasharray: 2,2;
      &.highlighted {
        stroke-dasharray: 2,2;
      }
    }

    &.highlighted {
      opacity: 1.0;
      stroke-opacity: 0.75;
      stroke: @white;
      animation: marching_ants 60s linear infinite reverse;
      &.parent {
        stroke-opacity: 0.5;
      }
      &.references {
        stroke-dasharray: 12,4,2,4;
      }
      &.complements {
        stroke-dasharray: 12,4,2,2,2,4;
      }
      &.derives {
        stroke-dasharray: 12,4,2,2,2,2,2,4;
      }
    }
    &.faded {
      opacity: 0.1;
    }
  }

  .card {
    transition: opacity 250ms ease-out;

    &.highlighted {
      opacity: 1.0;
      .name {
        fill: @white;
      }
    }

    &.faded {
      opacity: 0.1
    }

    .circle {
      stroke-width: 1px;
      stroke-opacity: 1.0;
      fill-opacity: 0.75;
      transition: r 500ms, stroke-width 0.125s;

      &:hover {
        cursor: pointer;
        stroke-width: 2px;
        stroke: @white;
      }
    }

    &.snapshot {
      .circle {
        fill-opacity: 0;
        stroke-opacity: 0.5;
      }
    }

    .name {
      pointer-events: none;
      font-size: 14px;
      fill: @grey;
      font-family: 'bariol', @pageFont;
      transition: fill 250ms ease-out;
    }
  }

  .tooltip {
    pointer-events: none;
    position: absolute;
    padding: 10px 20px;
    font-weight: 300;
    max-width: 250px;
    font-family: "Open sans", sans-serif;
    font-size: 14px;
    background-color: white;
    opacity: 0;

    transition: opacity 0.25s;

    &.active {
      opacity: 1
    }
  }
}
